Buyer Information
http
POST /api/v3/dbs/orders/clientBase URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Assembly Orders · Specification doc ↗
The method allows getting information about the buyer by order ID
Request limit per one seller account for DBS assembly orders methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema OrdersRequestAPI, required
ordersinteger<int64>[]— Assembly order IDs list
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | DbsOnlyClientInfoResp |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
404 | The resource is not found | Error |
429 | Too many requests | object |
Structure 200:
ordersDbsOnlyClientInfo[]— Buyer information for dbs-order (Delivery by Seller)replacementPhonestring— Replacement phone number to contact the buyer. An empty value""means that the number is not assigned yetphonestring— Backup replacement phone number to contact the buyer. Use if the replacement number fromreplacementPhoneis unavailable. To contact the buyer, dial this number and the extension code fromphoneCode. An empty value""means that the number is not assigned yetfirstNamestring— First namefullNamestring— Full name, used for paperwork. For example, documents for a caradditionalPhonesstring[]— Additional phone numbers to contact the buyer. Use it to call the buyer, if the main number fromphoneis unavailable. An empty value means that the number is not specifiedreplacementAdditionalPhonesstring[]— Additional replacement phone numbers to contact the buyer. An empty value means that the number is not specifiedorderIDinteger<int64>— Assembly order IDphoneCodeinteger<int64>— Extension phone code. An empty value""means that the code is not assigned yetadditionalPhoneCodesstring[]— Additional extension codes. Use if you couldn't reach the buyer using the extension code fromphoneCode. An empty value""means that the code is not assigned yet
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 404:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))
result = api.post_v3_dbs_orders_client(orders_request_api=...)
print(result)ts
import {
Configuration,
DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);
const { data } = await api.postV3DbsOrdersClient(ordersRequestAPI);
console.log(data);go
import (
"context"
"fmt"
wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)
cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)
result, _, err := client.DbsAPI.PostV3DbsOrdersClient(context.Background()).OrdersRequestAPI(ordersRequestAPI).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);
System.out.println(api.postV3DbsOrdersClient(ordersRequestAPI));php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);
print_r($api->postV3DbsOrdersClient($orders_request_api));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);
Сообщить(Клиент.PostV3DbsOrdersClient(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);
Console.WriteLine(api.PostV3DbsOrdersClient(ordersRequestAPI));rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = dbs_api::post_v3_dbs_orders_client(&cfg, orders_request_api).await;
println!("{:#?}", result);
}